Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataObjectCollection Class Reference

`#include <vtkDataObjectCollection.h>`

Inheritance diagram for vtkDataObjectCollection:

[legend]
Collaboration diagram for vtkDataObjectCollection:

[legend]
List of all members.

## Detailed Description

maintain an unordered list of data objects

Date:
  2002/12/26 18:24:21

Revision:
  1.10

vtkDataObjectCollection is an object that creates and manipulates lists of data objects. See also vtkCollection and subclasses.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (88%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkDataObjectCollection.h)`
  - .`cxx` (`/Common/vtkDataObjectCollection.cxx)`

Definition at line 44 of file vtkDataObjectCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkDataObject *ds)
vtkDataObject * | GetNextItem ()
vtkDataObject * | GetItem (int i)
## Static Public Methods
vtkDataObjectCollection * | New ()
int | IsTypeOf (const char *type)
vtkDataObjectCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataObjectCollection ()
| ~vtkDataObjectCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkDataObjectCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 48 of file vtkDataObjectCollection.h.

## Constructor & Destructor Documentation

vtkDataObjectCollection::vtkDataObjectCollection | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkDataObjectCollection.h.

vtkDataObjectCollection::~vtkDataObjectCollection | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkDataObjectCollection.h.

## Member Function Documentation

vtkDataObjectCollection* vtkDataObjectCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkDataObjectCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkDataObjectCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkDataObjectCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkDataObjectCollection* vtkDataObjectCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkDataObjectCollection::AddItem | ( | vtkDataObject * | ds | ) | `[inline]`

| Add a data object to the list. Definition at line 52 of file vtkDataObjectCollection.h. References vtkCollection::AddItem().

vtkDataObject* vtkDataObjectCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next data object in the list. Definition at line 58 of file vtkDataObjectCollection.h. References vtkCollection::GetNextItemAsObject().

vtkDataObject* vtkDataObjectCollection::GetItem | ( | int | i | ) | `[inline]`

| Get the ith data object in the list. Definition at line 64 of file vtkDataObjectCollection.h. References vtkCollection::GetItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkDataObjectCollection.h